<div class="eh-mb-8 eh-txt-center eh-txt-16 eh-txt-bold">
  Get Started
</div>

<mat-horizontal-stepper [linear]="true" #stepper class="e-mat-stepper" [selectedIndex]="data.step">
  <mat-step [editable]="false">
    <ng-template matStepperIcon="edit">
      <mat-icon>check</mat-icon>
    </ng-template>

    <ng-template matStepLabel>Personal Details</ng-template>
    <div class="eh-ofy-scroll eh-hide-scrollbars">
      <div class="eh-txt-center eh-txt-12 eh-mt-8">
        <i>
          Once committed, you will not be able to change any of your details, so do take care while filling it
          in.<br>
          Please scroll down to save/submit.
        </i>
      </div>
      <app-personal-details (goToNextStep)="goToNextStep()" (closeDialog)="closeDialog()">
      </app-personal-details>
    </div>
  </mat-step>

  <mat-step [editable]="false">
    <ng-template matStepperIcon="edit">
      <mat-icon>check</mat-icon>
    </ng-template>
    <ng-template matStepLabel>Health History</ng-template>
    <div class="eh-ofy-scroll eh-hide-scrollbars">
      <div class="eh-txt-center eh-txt-12 eh-mt-8">
        <i>
          Once committed, you will not be able to change any of your details, so do take care while filling it
          in.<br>
          Please scroll down to save/submit.
        </i>
      </div>
      <app-health-history (goToNextStep)="goToNextStep()" (closeDialog)="closeDialog()">
      </app-health-history>
    </div>
  </mat-step>

  <mat-step [editable]="false">
    <ng-template matStepperIcon="edit">
      <mat-icon>check</mat-icon>
    </ng-template>
    <ng-template matStepLabel>Payment</ng-template>
    <div class="eh-ofy-scroll eh-hide-scrollbars">
      <app-payment (goToNextStep)="goToNextStep()" (closeDialog)="closeDialog()"></app-payment>
    </div>
  </mat-step>

  <mat-step [editable]="false">
    <ng-template matStepperIcon="edit">
      <mat-icon>check</mat-icon>
    </ng-template>
    <ng-template matStepLabel>Appointment</ng-template>
    <div class="eh-ofy-scroll eh-hide-scrollbars">
      <app-appointment (closeDialog)="closeDialog()"></app-appointment>
    </div>
  </mat-step>
</mat-horizontal-stepper>